Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 309621 - gnome-vfs segmentation fault on ftp sites with symbolic links
Summary: gnome-vfs segmentation fault on ftp sites with symbolic links
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://git.gnome.org/browse/gnome-vfs...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-15 17:40 UTC by Jacek
Modified: 2010-03-19 09:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for ftp symlink issue (gnome-vfs-2.24.2-symlink.patch,544 bytes, patch)
2010-03-15 17:54 UTC, Jacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jacek 2010-03-15 17:40:24 UTC
gnome-base/gnome-vfs-2.24.2 
When I do gnomevfs-ls ftp://ftp.gnome.org/debian it ends
with segmentation fault. 'debian' is a symbolic link to directory.
gvfs is ok in this case, but some application still use gnome-vfs :(
I've found piece of code for this:
http://launchpadlibrarian.net/35571673/gnome-vfs_2.24.2-1ubuntu2.debdiff 
After patch there is no seg fault anymore.
Could you add this patch to main portage? tnx.


Reproducible: Always

Steps to Reproduce:
1. gnomevfs-ls ftp://ftp.gnome.org/debian
Comment 1 Jacek 2010-03-15 17:54:25 UTC
Created attachment 223761 [details, diff]
patch for ftp symlink issue
Comment 2 Mart Raudsepp gentoo-dev 2010-03-15 21:29:33 UTC
gnome-vfs is deprecated, apparently for command line this should be used instead these days:

gvfs-mount ftp://ftp.gnome.org/
gvfs-ls ftp://ftp.gnome.org/debian

or just opening nautilus ftp://ftp.gnome.org/debian or something for graphical thing.

That said, I think we could/should still review and include the patch for gnome-vfs
Comment 3 Pacho Ramos gentoo-dev 2010-03-15 21:32:17 UTC
Should upstream be contacted for incorporating the fix or is gnome-vfs development completely finalized? 
Comment 4 Rémi Cardona gentoo-dev 2010-03-15 21:44:00 UTC
(In reply to comment #3)
> Should upstream be contacted for incorporating the fix or is gnome-vfs
> development completely finalized? 

Consider it dead. You can always try, but they'll probably laugh at us :)

Cheers.
Comment 5 Pacho Ramos gentoo-dev 2010-03-19 09:14:49 UTC
It was already upstreamed and applied, I will commit it as soon as possible
Comment 6 Pacho Ramos gentoo-dev 2010-03-19 09:58:12 UTC
+*gnome-vfs-2.24.2-r1 (19 Mar 2010)
+
+  19 Mar 2010; Pacho Ramos <pacho@gentoo.org> +gnome-vfs-2.24.2-r1.ebuild,
+  +files/gnome-vfs-2.24.2-symlink-crash.patch:
+  Fix crash if a null symlink is got (see bug #309621, thanks to Jacek for
+  reporting ubuntu/debian patch) and fix tests unsetting XAUTHORITY (see bug
+  #285706, thanks to Patrick for reporting)